XAUDIO2_BUFFER Struct Reference

`#include <SDL_xaudio2.h>`

## Data Fields

UINT32 | Flags
UINT32 | AudioBytes
const BYTE * | pAudioData
UINT32 | PlayBegin
UINT32 | PlayLength
UINT32 | LoopBegin
UINT32 | LoopLength
UINT32 | LoopCount
void * | pContext

## Detailed Description

Definition at line 57 of file SDL_xaudio2.h.

## Field Documentation

UINT32 XAUDIO2_BUFFER::AudioBytes

Definition at line 59 of file SDL_xaudio2.h.

UINT32 XAUDIO2_BUFFER::Flags

Definition at line 58 of file SDL_xaudio2.h.

UINT32 XAUDIO2_BUFFER::LoopBegin

Definition at line 63 of file SDL_xaudio2.h.

UINT32 XAUDIO2_BUFFER::LoopCount

Definition at line 65 of file SDL_xaudio2.h.

UINT32 XAUDIO2_BUFFER::LoopLength

Definition at line 64 of file SDL_xaudio2.h.

const BYTE* XAUDIO2_BUFFER::pAudioData

Definition at line 60 of file SDL_xaudio2.h.

void* XAUDIO2_BUFFER::pContext

Definition at line 66 of file SDL_xaudio2.h.

UINT32 XAUDIO2_BUFFER::PlayBegin

Definition at line 61 of file SDL_xaudio2.h.

UINT32 XAUDIO2_BUFFER::PlayLength

Definition at line 62 of file SDL_xaudio2.h.

The documentation for this struct was generated from the following file:

- src/audio/xaudio2/SDL_xaudio2.h